<?php
/** @var \Mirasvit\Helpdesk\Block\Ticket\View $block */
?>
<?php
$ticket = $block->getTicket();
?>
<div class="hdmx__ticket-view">
    <table class="hdmx__ticket-summary table table-responsive">
        <tbody>
        <?php foreach ($block->getSummary() as $code => $summary): ?>
            <?php $html = $block->getSummaryHtml($summary, $ticket) ?>
            <?php if ($html): ?>
                <tr>
                    <th><?= $summary->getLabel() ?></th>
                    <td><?= $block->getSummaryHtml($summary, $ticket) ?></td>
                </tr>
            <?php endif ?>
        <?php endforeach ?>

        <?php foreach ($block->getCustomFields() as $field): ?>
            <?php if (!$value = $block->getHelpdeskField()->getValue($ticket, $field))
                continue; ?>
            <tr>
                <th><?= __($field->getName()) ?></th>
                <td><?= $block->escapeHtml($value) ?></td>
            </tr>
        <?php endforeach ?>
        </tbody>
    </table>

    <form action="<?= $block->getPostUrl() ?>" method="POST" enctype="multipart/form-data"
          class="hdmx__ticket-reply" data-mage-init='{"validation":{}}'>
        <fieldset class='fieldset'>
            <legend class="legend padding-bottom10"><span><?= __('Post a Reply') ?></span></legend>
            <div class="field required">
                <label class="label" for="message">
                    <span><?= __('Message') ?></span>
                </label>

                <div class="control">
                    <textarea name="message" data-id="message" class="message input-text required-entry" rows="3"></textarea>
                </div>
            </div>

            <div class="field">
                <label class="label" for="attachment">
                    <span><?= __('Attachments') ?></span>
                </label>

                <div class="control">
                    <input type="file" data-id="attachment" class="multi attachment" name="attachment[]"/>
                </div>
            </div>

            <div class="actions-toolbar margin-bottom20">
                <?php if ($ticket->isClosed()): ?>
                    <button type="submit" class="action primary btn btn-secondary" title="<?= __('Reopen Ticket') ?>">
                        <span><?= __('Reopen Ticket') ?></span>
                    </button>
                <?php else: ?>
                    <button type="submit" class="action primary btn btn-secondary" title="<?= __('Submit Message') ?>">
                        <span><?= __('Submit Message') ?></span>
                    </button>
                    <input type='hidden' name='close_ticket' id="close_ticket" value='0'>
                    <button type="submit" id="close_ticket_button" class="action secondary btn btn-default margin-left10"
                            title="<?= __('Close Ticket') ?>">
                        <span><?= __('Close Ticket') ?></span>
                    </button>
                <?php endif ?>
            </div>
        </fieldset>
    </form>

    <div class="fieldset hdmx__ticket-history">
        <div class="legend"><span><?= __('History') ?></span></div>

        <?php foreach ($ticket->getMessages() as $message): ?>
            <div class="hdmx__message">
                <div class="hdmx-message__header">
                    <strong>
                        <?php if ($message->getTriggeredBy() == \Mirasvit\Helpdesk\Model\Config::CUSTOMER): ?>
                            <?= $block->escapeHtml($message->getCustomerName()) ?>
                        <?php elseif ($message->getTriggeredBy() == \Mirasvit\Helpdesk\Model\Config::USER): ?>
                            <?= $message->getFrontendUserName() ?>
                            <?php if ($message->isThirdParty()): ?>
                                <?= __('to %1 (third party)', $message->getThirdPartyEmail()) ?>
                            <?php endif; ?>
                        <?php elseif ($message->getTriggeredBy() == \Mirasvit\Helpdesk\Model\Config::THIRD): ?>
                            <?= __('%1 (third party)', $block->escapeHtml($message->getThirdPartyName())) ?>
                        <?php endif ?>
                    </strong>
                    <?= $block->formatDate($message->getCreatedAt(), \IntlDateFormatter::MEDIUM) ?>  <?= $block->formatTime($message->getCreatedAt(), \IntlDateFormatter::SHORT) ?>
                </div>

                <div class="hdmx-message__body <?= $message->getTriggeredBy() ?>">
                    <?php
                    //DONT CHANGE THIS
                    echo $block->escapeHtml($message->getUnsafeBodyHtml(), $message->getAllowedTags());
                    //END DONT CHANGE THIS
                    ?>

                    <?php $attachments = $message->getAttachments() ?>
                    <?php if ($attachments && count($attachments)): ?>
                        <div class="hdmx-message__attachments">
                            <?php foreach ($message->getAttachments() as $attachment): ?>
                                <?php if ($attachment->getIsAllowed()): ?>
                                    <a href="<?= $attachment->getUrl() ?>"><?= $block->escapeHtml($attachment->getName()) ?></a>
                                <?php else: ?>
                                    <span><?= $block->escapeHtml($attachment->getName()) ?></span>
                                <?php endif; ?>
                            <?php endforeach ?>
                        </div>
                    <?php endif ?>
                </div>
            </div>
        <?php endforeach ?>
    </div>

    <?php if (!$this->isExternal()): ?>
        <div class="buttons-set hide">
            <p class="back-link"><a href="<?= $block->getUrl('helpdesk/ticket') ?>">
                    <small>&laquo;</small><?= __('Back to My Tickets') ?></a></p>
        </div>
    <?php endif ?>
</div>
